package com.clx.performance.param.pay;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.msl.common.enums.ResultEnum;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

//@ApiModel(description = "货主绑卡")
@Getter
@Setter
@ToString
public class NotifyParam  {
    /** 支付操作 参考<MessageTypeEnum> */
    private Integer action;
    /** 交易单号 */
    private String orderNo;
    /** 支付请求唯一ID */
    private String uuid;
    /** 出错时的交易单元编号 */
    private String errorNo;

    @JsonIgnoreProperties(ignoreUnknown = true)
    private Integer code; // 返回结果代码，0为成功

    @JsonIgnoreProperties(ignoreUnknown = true)
    private Long total;//总共记录数

    @JsonIgnoreProperties(ignoreUnknown = true)
    private Integer pageNum;//总共页数

    @JsonIgnoreProperties(ignoreUnknown = true)
    private String msg;
    @JsonIgnoreProperties(ignoreUnknown = true)
    private String data;

}
